@import "../../../assets/styles/variables";
@import "../../../assets/styles/animations";
@import "../../../assets/styles/mixins";

.loading-promotion {
	@include media-breakpoint-up(xl) {
		height     : 472px;
		min-height : 472px;
	}
	@include spin-loading-icon(fa-spinner);
}

::ng-deep .carousel {
	@include media-breakpoint-only(lg) {
		min-height : 496px;
	}
	@include media-breakpoint-up(xl) {
		min-height : 441px;
	}
	@include media-breakpoint-only(xxl) {
		min-height : 472px;
	}
	
	&:hover {
		& .carousel-control-prev,
		& .carousel-control-next {
			z-index : 11;
			opacity : 1;
		}
	}
	
	&:focus {
		outline : none;
	}
	
	& .carousel-control-prev,
	& .carousel-control-next {
		cursor  : pointer;
		opacity : 0;
	}
	
	& .carousel-indicators {
		top             : 20px;
		bottom          : 430px;
		left            : 20px;
		right           : 710px;
		margin          : 0;
		display         : flex;
		justify-content : end;
		align-items     : center;
		
		& li {
			width            : 12px;
			height           : 12px;
			background-color : $tw-gray4;
			border-radius    : 100%;
			
			&.active {
				width            : 16px;
				height           : 16px;
				background-color : $tw-red;
			}
		}
	}
	
	& .carousel-inner {
		border-radius : 8px;
		border        : 1px solid;
		
		& img {
			@include media-breakpoint-only(lg) {
				min-height : 496px;
			}
			@include media-breakpoint-up(xl) {
				min-height : 441px;
			}
			@include media-breakpoint-only(xxl) {
				min-height : 472px;
			}
		}
		
		& .countdown {
			position   : absolute;
			left       : 0;
			bottom     : 0;
			z-index    : 10;
			background : rgba(0, 0, 0, 0.4);
			
			::ng-deep .hand {
				color           : white;
				background      : $tw-red;
				width           : 60px;
				height          : 60px;
				display         : inline-flex;
				justify-content : center;
				align-items     : center;
				margin-right    : 0 10px;
				border-radius   : 100%;
			}
		}
		
		& .promotion-information {
			position   : absolute;
			bottom     : 0;
			width      : 100%;
			height     : 135px;
			color      : $tw-white;
			background : linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.7) 49.16%, #000000 100%);
			
			& button.btn-tw-red {
				height           : 88px;
				width            : 215px;
				background-color : rgba(208, 32, 38, 0.8);
				box-shadow       : none;
				font-size        : 24px;
				@include transition-hover();
				@include border-left-radius(0);
				@include border-right-radius(100px);
				
				&:hover {
					background-color : $tw-red;
					box-shadow       : 0 0 0 5px rgba(208, 32, 38, 0.6);
				}
				
				& .badge {
					width         : 48px;
					height        : 48px;
					border-radius : 100%;
					
					& i {
						font-size : 24px;
						color     : $tw-red;
					}
				}
			}
			
			& .type {
			
			}
			
			& .title {
				font-size : 22px;
			}
		}
	}
}
